%define _name nautilus
%define ver_major 2.10

Name: nautilus2
Version: %ver_major.1
Release: alt1.1

Summary: Nautilus is a network user environment
License: GPL
Group: Graphical desktop/GNOME
Url: http://nautilus.eazel.com

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

Obsoletes: %_name, %name-music-view, %name-content-loser
Obsoletes: %name-sample-content-view, %name-sidebar-loser
Obsoletes: %name-tree, %name-hardware-view, %name-adapter
Obsoletes: %name-emblem-view, %name-notes, %name-text-view
Obsoletes: %name-throbber, %name-image-properties
Obsoletes: %name-history, %name-components
Provides: %name-music-view = %version-%release
Provides: %name-content-loser = %version-%release
Provides: %name-sample-content-view = %version-%release
Provides: %name-sidebar-loser = %version-%release
Provides: %name-tree = %version-%release
Provides: %name-hardware-view = %version-%release
Provides: %name-adapter = %version-%release
Provides: %name-emblem-view = %version-%release
Provides: %name-notes = %version-%release
Provides: %name-text-view = %version-%release
Provides: %name-throbber = %version-%release
Provides: %name-image-properties = %version-%release
Provides: %name-history = %version-%release
Provides: %name-components = %version-%release

Conflicts: %_name

%define GConf_ver 2.10.0
%define scrollkeeper_ver 0.3.14
%define pkgconfig_ver 0.15-alt3.2
%define esound_ver 0.2.34
%define libbonoboui_ver 2.8.1
%define eel_ver 2.10.1
%define glib_ver 2.6.3
%define gnome_vfs_ver 2.10.1
%define gtk_ver 2.6.4
%define desktop_ver 2.10.0
%define libgnomeui_ver 2.10.0
%define librsvg_ver 2.9.5
%define libxml2_ver 2.6.17
%define exif_ver 0.6.12
%define icon_theme_ver 2.10.0
%define desktop_file_utils_ver 0.8

PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver
PreReq: lib%_name = %version-%release
PreReq: gnome-icon-theme >= %icon_theme_ver

Requires(post,postun): desktop-file-utils >= %desktop_file_utils_ver
Requires: esound >= %esound_ver
Requires: libbonoboui >= %libbonoboui_ver
Requires: libeel2 >= %eel_ver
Requires: glib2 >= %glib_ver
Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libgtk+2 >= %gtk_ver
Requires: gnome-desktop >= %desktop_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: librsvg2 >= %librsvg_ver
Requires: libxml2 >= %libxml2_ver
Requires: libexif >= %exif_ver

BuildPreReq: desktop-file-utils >= %desktop_file_utils_ver
BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: pkgconfig >= %pkgconfig_ver
BuildPreReq: esound-devel >= %esound_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver
BuildPreReq: libeel2-devel >= %eel_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnome-desktop-devel >= %desktop_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: librsvg2-devel >= %librsvg_ver
BuildPreReq: libxml2-devel >= %libxml2_ver
Requires: libexif-devel >= %exif_ver
BuildPreReq: menu-devel

# Automatically added by buildreq on Mon Feb 07 2005
BuildRequires: GConf2 ORBit2-devel XFree86-devel-static XFree86-libs docbook-utils esound-devel fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libeel2-devel libexif-devel libgail-devel libglade2-devel libgnome-desktop-devel libgnome-devel libgnome-keyring libgnome-menus libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel librsvg2-devel libstartup-notification-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig

%description
Nautilus integrates access to files, applications, media, Internet-based
resources and the Web.  Nautilus delivers a dynamic and rich user
experience.  Nautilus is an free software project developed under the
GNU General Public License and is a core component of the GNOME desktop
project.

%package -n lib%_name
Summary: Shared libraries needed to run Nautilus
Group: System/Libraries

%description -n lib%_name
This package contains shared libraries needed to run Nautilus and its
components.

%package -n lib%_name-devel
Summary: Libraries and include files for developing Nautilus components
Group: Development/GNOME and GTK+
Requires: lib%_name = %version-%release
Requires: esound-devel >= %esound_ver
Requires: libeel2-devel >= %eel_ver
Requires: glib2-devel >= %glib_ver
Requires: gnome-vfs2-devel >= %gnome_vfs_ver
Requires: libgtk+2-devel >= %gtk_ver
Requires: libgnome-desktop-devel >= %desktop_ver
Requires: libgnomeui-devel >= %libgnomeui_ver
Requires: librsvg2-devel >= %librsvg_ver
Requires: libxml2-devel >= %libxml2_ver

%description -n lib%_name-devel
This package provides the necessary development libraries and include
files to allow you to develop Nautilus components.

%define _bonobo_servers_dir %_libdir/bonobo/servers

%prep
%setup -q -n %_name-%version

%build
%configure

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export OMF_DIR=%buildroot%_var/lib/scrollkeeper
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
unset OMF_DIR

%__mkdir_p %buildroot%_libdir/%_name/components

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Applications/File tools" \
    %buildroot%_datadir/applications/%_name.desktop \
    %buildroot%_menudir/%_name "gnome"

%__bzip2 -9fk ChangeLog NEWS
%__rm -f docs/Makefile*

# remove non-packaged files
%__rm -f %buildroot%_libdir/bonobo/*.la
# old themes
%__rm -rf %buildroot/%_datadir/pixmaps/%_name/{crux*,default,gnome,tahoe,sierra}

%find_lang %_name

%define node /apps/nautilus/preferences
%define schemas apps_nautilus_preferences

%post
%gconf2_install %schemas
%gconf2_set string %node/preview_sound local_only
%gconf2_set string %node/show_icon_text local_only
%gconf2_set bool %node/start_with_sidebar false
%gconf2_set string %node/click_policy single
%gconf2_set bool %node/desktop/computer_icon_visible false
%gconf2_set bool /apps/nautilus/desktop/computer_icon_visible false
%gconf2_set bool %node/always_use_browser true
%gconf2_set bool %node/start_with_toolbar true
%gconf2_set bool %node/start_with_sidebar true
%update_scrollkeeper
%update_desktopdb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %schemas
fi

%postun
%clean_scrollkeeper
%clean_desktopdb

%post -n lib%_name -p %post_ldconfig
%postun -n lib%_name -p %postun_ldconfig

%files -f %_name.lang
%_bindir/*
%dir %_libdir/%_name
%dir %_libdir/%_name/components
%_bonobo_servers_dir/Nautilus_shell.server
%_datadir/applications/nautilus-file-management-properties.desktop
%_datadir/applications/nautilus-computer.desktop
%_datadir/applications/nautilus-home.desktop
%_datadir/applications/nautilus.desktop
%_datadir/applications/network-scheme.desktop
%_datadir/applications/nautilus-folder-handler.desktop
%_datadir/%_name
%_datadir/pixmaps/%_name/*.png
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog.* MAINTAINERS NEWS* README THANKS TODO

%files -n lib%_name
%_libdir/libnautilus-private.so.*
%_libdir/libnautilus-extension.so.*

%files -n lib%_name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc docs/*

%changelog
* Mon Apr 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1.1
- rebuild against libexif.so.12.

* Mon Apr 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.1-alt1
- 2.10.1

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Tue Mar 01 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.92-alt1
- 2.9.92

* Thu Feb 10 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.91-alt1
- 2.9.91

* Sun Feb 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.90-alt1
- 2.9.90.

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.2-alt1
- 2.8.2

* Tue Oct 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.92-alt1
- 2.7.92

* Fri Jul 30 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.3-alt2.1
- enable to switch to spatial mode in preferences dialog. Thanks vk@.

* Sun Jul 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.3-alt2
- fix starthere URL (close #4575).

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.3-alt1
- 2.6.3

* Sat Jun 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Mon Apr 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Fri Mar 19 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.91-alt1
- 2.5.91

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.90-alt1
- 2.5.90

* Mon Feb 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.8-alt1
- 2.5.8

* Wed Feb 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.7-alt1
- 2.5.7

* Sat Jan 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.6-alt1
- 2.5.6

* Thu Jan 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.5-alt1
- 2.5.5

* Tue Dec 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt2
- do not package .la files.

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Wed Sep 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Thu Sep 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.9-alt1
- 2.3.9

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.8-alt1
- 2.3.8

* Mon Jul 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.7-alt1
- 2.3.7

* Sat Jun 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Tue Jun 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Wed Jun 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Wed Jun 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Tue May 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Mon May 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Tue Apr 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.3.1-alt1
- 2.2.3.1

* Tue Apr 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.3-alt1
- 2.2.3

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.2-alt1
- 2.2.2

* Tue Feb 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Tue Jan 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.2-alt1
- 2.2.0.2

* Sun Jan 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt3
- subpackages with useless old themes removed.

* Fri Jan 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt2
- added missing /etc/X11/starthere/*.desktop to work "start here".

* Thu Jan 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.91-alt1
- 2.1.91

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.6-alt1
- 2.1.6

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Mon Dec 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Sat Nov 30 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt2
- Fixed dependence on gnome-icone-theme (#1645)
- Fixed *.server for hardware component

* Tue Nov 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3
- Obsoletes %name-music-view, %name-content-loser,
  %name-sample-content-view, %name-sidebar-loser
- default-schemas.patch removed, %%gcon2_set macro used.

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Thu Oct 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1.1
- %name-themes subpackage renamed to %name-themes-default.
- Removed dependence on Nautilus for default theme.
- Fixed %%post/%%postun for sidebar component.

* Sat Oct 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Wed Oct 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.6-alt1.2
- Nautilus themes splitted in separate packages.
- %%post/%%postun scripts for components.

* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.6-alt1.1
- change from '>' to '>=' in dependencies on scrollkeeper.
- move pkgconfig >= '' from requires to buildrequires.

* Sun Sep 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.6-alt1
- First build for Sisyphus.
